Name:          highway
Version:       1.0.4
Release:       1mamba
Summary:       A C++ library that provides portable SIMD/vector intrinsics
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/google/highway
Source:        https://github.com/google/highway.git/%{version}/highway-%{version}.tar.bz2
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libgmock-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Highway is a C++ library that provides portable SIMD/vector intrinsics.

%package -n lib%{name}
Group:         System/Libraries
Summary:       A C++ library that provides portable SIMD/vector intrinsics

%description -n lib%{name}
Highway is a C++ library that provides portable SIMD/vector intrinsics.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
%cmake -d build \
\
%ifarch arm
   -DCMAKE_CXX_FLAGS="%{optflags} -march=armv5te -mfloat-abi=softfp -latomic"
%endif

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libhwy.so.*
%{_libdir}/libhwy_contrib.so.*
%{_libdir}/libhwy_test.so.*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/hwy
%{_includedir}/hwy/*
%{_libdir}/libhwy.so
%{_libdir}/libhwy_contrib.so
%{_libdir}/libhwy_test.so
%{_libdir}/pkgconfig/libhwy*.pc
%dir %{_libdir}/cmake/hwy
%{_libdir}/cmake/hwy/hwy*.cmake
%doc README.md

%changelog
* Sun Mar 19 2023 Automatic Build System <autodist@mambasoft.it> 1.0.4-1mamba
- automatic version update by autodist

* Sat Jan 21 2023 Automatic Build System <autodist@mambasoft.it> 1.0.3-1mamba
- automatic version update by autodist

* Wed Jan 11 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2-1mamba
- package created using the webbuild interface
